// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'

import Antd from 'vue-antd-ui'
import 'vue-antd-ui/dist/antd.css'
import VueDragResize from 'vue-drag-resize'

import router from './router'
import store from './store'

import App from './App'
Vue.config.productionTip = false

Vue.component('vue-drag-resize', VueDragResize)
Vue.use(Antd)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  created () {
    this.$store.dispatch('initialize')
  },
  components: { App },
  template: '<App/>'
})
